> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myme.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update tenant quotas

> Sets the per-tenant quota ceilings for a specific tenant. Each field is independent — supplied non-null values override the env default; supplied `null` resets to the env default for that field. Platform-admin only.



## OpenAPI

````yaml /openapi.json put /tenants/{id}/quotas
openapi: 3.1.0
info:
  title: Marfa API
  version: 4.2.0
  description: Typed data layer for structured personal data
servers: []
security: []
paths:
  /tenants/{id}/quotas:
    put:
      tags:
        - Tenants
      summary: Update tenant quotas
      description: >-
        Sets the per-tenant quota ceilings for a specific tenant. Each field is
        independent — supplied non-null values override the env default;
        supplied `null` resets to the env default for that field. Platform-admin
        only.
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                items_limit:
                  type: integer
                  nullable: true
                webhooks_limit:
                  type: integer
                  nullable: true
                blobs_limit:
                  type: integer
                  nullable: true
                storage_bytes_limit:
                  type: integer
                  nullable: true
                rate_per_minute_limit:
                  type: integer
                  nullable: true
      responses:
        '200':
          description: Quota row updated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  tenant_id:
                    type: string
                  items_limit:
                    type: integer
                    nullable: true
                  webhooks_limit:
                    type: integer
                    nullable: true
                  blobs_limit:
                    type: integer
                    nullable: true
                  storage_bytes_limit:
                    type: integer
                    nullable: true
                  rate_per_minute_limit:
                    type: integer
                    nullable: true
                  updated_at:
                    type: string
                    nullable: true
                required:
                  - tenant_id
                  - items_limit
                  - webhooks_limit
                  - blobs_limit
                  - storage_bytes_limit
                  - rate_per_minute_limit
                  - updated_at
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unauthorized
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - forbidden
                      message:
                        type: string
                      details:
                        type: object
                        additionalProperties:
                          nullable: true
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key or OAuth Token
      description: Pass an API key (marfa_k1_...) or OAuth access token (marfa_at_...)

````